Bug 1291190 - [GTK3] Crash at ApplicationChooser
[GTK3] Crash at ApplicationChooser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
https://bugzilla.mozilla.org/show_bug...
: Reopened
: 1302044 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 04:23 EST by Matthias31
Modified: 2016-12-13 16:23 EST (History)
7 users (show)

See Also:
Fixed In Version: firefox-44.0.1-2.fc23 firefox-44.0.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 23:18:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshut of "about:crashes" (101.11 KB, image/png)
2016-01-13 07:24 EST, Matthias31
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1244305 None None None 2016-02-03 07:59 EST

  None (edit)
Description Matthias31 2015-12-14 04:23:11 EST
Description of problem:
Firefox crashes when i Tryed  to open webradio playlistfiles dirrectly
Only save and open manually in VLC will work

Version-Release number of selected component (if applicable):42.0


How reproducible:everyteime


Steps to Reproduce:
1.open Firefox 42
2.try to opnen a Webradiostream directly from Fireox e.g with vlx

Actual results:
firefox crashes

Expected results:
Firefox shuld open vlc and ply the stream
Comment 1 Martin Stransky 2016-01-04 17:10:52 EST
Can you attach a backtrace please? How to is here:
http://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products
Comment 2 Matthias31 2016-01-05 07:53:42 EST
I hope i did it right:

MOZILLA_FIVE_HOME=/usr/lib64/firefox
  LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
DISPLAY=:0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
     LIBRARY_PATH=
       SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
          LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
       ADDON_PATH=
      MOZ_PROGRAM=/usr/lib64/firefox/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=gdb
moz_debugger_args=
/usr/bin/gdb  --args /usr/lib64/firefox/firefox
GNU gdb (GDB) Fedora 7.10.1-30.fc23
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/lib64/firefox/firefox...Reading symbols from /usr/lib64/firefox/firefox...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Missing separate debuginfos, use: dnf debuginfo-install firefox-43.0.3-1.fc23.x86_64
(gdb) run
Starting program: /usr/lib64/firefox/firefox 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Detaching after fork from child process 3335.
[New Thread 0x7fffdbeed700 (LWP 3336)]
[Thread 0x7fffdbeed700 (LWP 3336) exited]
Detaching after fork from child process 3337.
No protocol specified
Unable to init server: Verbindung ist gescheitert:Verbindungsaufbau abgelehnt
Error: cannot open display: :0
[Inferior 1 (process 3331) exited with code 01]
(gdb)
Comment 3 Martin Stransky 2016-01-07 05:28:21 EST
uff, it looks like your Firefox doesn't even start and fails to detect DISPLAY. Do you run it from terminal emulator, like gnome-terminal? You should use that. Which is your DISPLAY env value? (put $set | grep "DISPLAY" on terminal)
Comment 4 Matthias31 2016-01-07 07:38:22 EST
i start Firefox not in the terminal.
But your command put $set | grep "DISPLAY" end in Bash command not found
Comment 5 Matthias31 2016-01-07 07:39:57 EST
aah i See wat´ s wrong

set | grep "DISPLAY"
DISPLAY=:0
WAYLAND_DISPLAY=wayland-0
_=DISPLAY
Comment 6 Martin Stransky 2016-01-07 07:44:43 EST
well, your display is correct, please try catch the ff crash in the same window. Thanks.
Comment 7 Matthias31 2016-01-07 11:46:38 EST
yes i can do this but i See only the messages "firefox has crashed
Comment 8 Matthias31 2016-01-07 11:51:56 EST
Okay, i´ ve let crash the firefox and the following details for you:

Add-ons: info%40convert2mp3.net:2.5.1-signed,%7B972ce4c6-7e08-4474-a285-3208198ce6fd%7D:43.0.3,%7Bd10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d%7D:2.7,langpack-de%40firefox.mozilla.org:43.0.3,uBlock0%40raymondhill.net:1.5.3
AsyncPluginInit: 0
BuildID: 20151229124331
CrashTime: 1452185304
EMCheckCompatibility: true
EventLoopNestingLevel: 1
FramePoisonBase: 7ffffffff0dea000
FramePoisonSize: 4096
InstallTime: 1451986876
Notes: OpenGL: X.Org -- Gallium 0.4 on AMD RS880 (DRM 2.43.0, LLVM 3.7.0) -- 3.0 Mesa 11.1.0 (git-525f3c2) -- texture_from_pixmap

ProductID: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
ProductName: Firefox
ReleaseChannel: default
SafeMode: 0
StartupTime: 1452184716
TelemetryEnvironment: {"build":{"applicationId":"{ec8030f7-c20a-464f-9b0e-13a3a9e97384}","applicationName":"Firefox","architecture":"x86-64","buildId":"20151229124331","version":"43.0.3","vendor":"Mozilla","platformVersion":"43.0.3","xpcomAbi":"x86_64-gcc3","hotfixVersion":null},"partner":{"distributionId":null,"distributionVersion":null,"partnerId":null,"distributor":null,"distributorChannel":null,"partnerNames":[]},"system":{"memoryMB":5716,"virtualMaxMB":null,"cpu":{"count":2,"cores":2,"vendor":"AuthenticAMD","family":16,"model":4,"stepping":3,"l2cacheKB":512,"l3cacheKB":512,"speedMHz":3200,"extensions":["hasMMX","hasSSE","hasSSE2","hasSSE3","hasSSE4A"]},"os":{"name":"Linux","version":"4.2.8-300.fc23.x86_64","locale":"de-DE"},"hdd":{"profile":{"model":null,"revision":null},"binary":{"model":null,"revision":null},"system":{"model":null,"revision":null}},"gfx":{"D2DEnabled":null,"DWriteEnabled":null,"adapters":[{"description":"X.Org -- Gallium 0.4 on AMD RS880 (DRM 2.43.0, LLVM 3.7.0)","vendorID":"X.Org","deviceID":"Gallium 0.4 on AMD RS880 (DRM 2.43.0, LLVM 3.7.0)","subsysID":null,"RAM":null,"driver":null,"driverVersion":"3.0 Mesa 11.1.0 (git-525f3c2)","driverDate":null,"GPUActive":true}],"monitors":[],"features":{"compositor":"basic"}}},"settings":{"addonCompatibilityCheckEnabled":true,"blocklistEnabled":true,"isDefaultBrowser":true,"e10sEnabled":false,"telemetryEnabled":false,"isInOptoutSample":false,"locale":"de","update":{"channel":"default","enabled":false,"autoDownload":false},"userPrefs":{"browser.cache.disk.capacity":358400,"browser.newtabpage.enabled":false,"browser.newtabpage.enhanced":false,"browser.shell.checkDefaultBrowser":true,"browser.startup.page":0,"privacy.donottrackheader.enabled":true}},"profile":{"creationDate":16789},"addons":{"activeAddons":{"{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}":{"blocklisted":false,"description":"Werbung war gestern!","name":"Adblock Plus","userDisabled":false,"appDisabled":false,"version":"2.7","scope":1,"type":"extension","foreignInstall":false,"hasBinaryComponents":false,"installDay":16789,"updateDay":16789,"signedState":2},"info@convert2mp3.net":{"blocklisted":false,"description":"Adds an option to convert YouTube.com, Dailymotion.com, Vevo.com and Clipfish.de Videos online to MP","name":"convert2mp3.net YouTube2MP3 Converter","userDisabled":false,"appDisabled":false,"version":"2.5.1-signed","scope":1,"type":"extension","foreignInstall":false,"hasBinaryComponents":false,"installDay":16789,"updateDay":16789,"signedState":1},"uBlock0@raymondhill.net":{"blocklisted":false,"description":"Endlich ein effizienter Blocker. Prozessor-freundlich und bescheiden beim Speicherbedarf.","name":"uBlock Origin","userDisabled":false,"appDisabled":false,"version":"1.5.3","scope":1,"type":"extension","foreignInstall":false,"hasBinaryComponents":false,"installDay":16803,"updateDay":16807,"signedState":2}},"theme":{"id":"{972ce4c6-7e08-4474-a285-3208198ce6fd}","blocklisted":false,"description":"Das Standard-Theme.","name":"Standard","userDisabled":false,"appDisabled":false,"version":"43.0.3","scope":4,"foreignInstall":false,"hasBinaryComponents":false,"installDay":16789,"updateDay":16803},"activePlugins":[{"name":"iTunes Application Detector","version":"","description":"This plug-in detects the presence of iTunes when opening iTunes Store URLs in a web page with Firefo","blocklisted":false,"disabled":false,"clicktoplay":true,"mimeTypes":["application/itunes-plugin"],"updateDay":16620},{"name":"Gnome Shell Integration","version":"","description":"This plugin provides integration with Gnome Shell for live extension enabling and disabling. It can ","blocklisted":false,"disabled":false,"clicktoplay":true,"mimeTypes":["application/x-gnome-shell-integration"],"updateDay":16756},{"name":"Evince Browser Plugin","version":"","description":"The <a href=\"http://wiki.gnome.org/Apps/Evince/\">Evince</a> 3.18.2 plugin handles documents inside t","blocklisted":false,"disabled":false,"clicktoplay":true,"mimeTypes":["application/postscript","application/x-bzpostscript","application/x-gzpostscript","image/x-eps","image/x-bzeps","image/x-gzeps","application/x-ext-ps","application/x-ext-eps","image/tiff","application/x-cbr","application/x-cbz","application/x-cb7","application/x-cbt","application/x-ext-cbr","application/x-ext-cbz","application/x-ext-cb7","application/x-ext-cbt","image/vnd.djvu","application/x-ext-djv","application/x-ext-djvu","application/oxps","application/vnd.ms-xpsdocument","application/pdf","application/x-bzpdf","application/x-gzpdf","application/x-xzpdf","application/x-ext-pdf"],"updateDay":16784},{"name":"Shockwave Flash","version":"11.2.202.559","description":"Shockwave Flash 11.2 r202","blocklisted":false,"disabled":false,"clicktoplay":false,"mimeTypes":["application/x-shockwave-flash","application/futuresplash"],"updateDay":16792}],"activeGMPlugins":{"gmp-gmpopenh264":{"version":"1.4","userDisabled":true,"applyBackgroundUpdates":1}},"activeExperiment":{},"persona":null}}
Theme: classic/1.0
Throttleable: 1
URL: http://www.rebellenwelle.de/
Vendor: Mozilla
Version: 43.0.3
useragent_locale: de

This report also contains technical information about the state of the application when it crashed.
Comment 9 Martin Stransky 2016-01-13 05:31:00 EST
I see such crash on Rawhide - it comes from glibc. Unfortunately I don't have any F23 system handy.

Anyway, can you please attach an info from "about:support" page? Use the "Copy text to clipboard" button please.

Also, can you please post crash signatures from "about:crashes" page?

Thanks!
Comment 10 Matthias31 2016-01-13 06:38:25 EST
oh yes i can

Allgemeine Informationen
------------------------

Name: Firefox
Version: 43.0.3
Build-ID: 20151229124331
User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:43.0) Gecko/20100101 Firefox/43.0
Fenster mit mehreren Prozessen: 0/1 (Standard: false)
Abgesicherter Modus: false

Absturzberichte der letzten 3 Tage
----------------------------------

Alle Absturzberichte

Erweiterungen
-------------

Name: Adblock Plus
Version: 2.7
Aktiviert: true
ID: {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}

Name: convert2mp3.net YouTube2MP3 Converter
Version: 2.5.1-signed
Aktiviert: true
ID: info@convert2mp3.net

Name: uBlock Origin
Version: 1.5.5
Aktiviert: true
ID: uBlock0@raymondhill.net

Grafik
------

Asynchrones Wischen und Zoomen: nichts
Gerätekennung: Gallium 0.4 on AMD RS880 (DRM 2.43.0, LLVM 3.7.0)
GPU-beschleunigte Fenster: 0/1 Basic (OMTC)
H264-Hardware-Dekodierung unterstützt: No;
Herstellerkennung: X.Org
Karten-Beschreibung: X.Org -- Gallium 0.4 on AMD RS880 (DRM 2.43.0, LLVM 3.7.0)
Treiber-Version: 3.0 Mesa 11.1.0 (git-525f3c2)
WebGL-Renderer: X.Org -- Gallium 0.4 on AMD RS880 (DRM 2.43.0, LLVM 3.7.0)
windowLayerManagerRemote: true
AzureCanvasBackend: cairo
AzureContentBackend: cairo
AzureFallbackCanvasBackend: none
AzureSkiaAccelerated: 0
CairoUseXRender: 1

Wichtige modifizierte Einstellungen
-----------------------------------

accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.capacity: 358400
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 3
browser.download.importedFromSqlite: true
browser.places.smartBookmarksVersion: 7
browser.privatebrowsing.autostart: true
browser.startup.homepage_override.buildID: 20151229124331
browser.startup.homepage_override.mstone: 43.0.3
browser.urlbar.autocomplete.enabled: false
browser.urlbar.suggest.bookmark: false
browser.urlbar.suggest.history: false
browser.urlbar.suggest.openpage: false
dom.apps.reset-permissions: true
dom.mozApps.used: true
extensions.lastAppVersion: 43.0.3
gfx.crash-guard.glcontext.appVersion: 43.0.3
gfx.crash-guard.glcontext.deviceID: Gallium 0.4 on AMD RS880 (DRM 2.43.0, LLVM 3.7.0)
gfx.crash-guard.glcontext.driverVersion: 3.0 Mesa 11.1.0 (git-525f3c2)
gfx.crash-guard.status.glcontext: 2
media.gmp-gmpopenh264.abi: x86_64-gcc3
media.gmp-gmpopenh264.lastUpdate: 1452510899
media.gmp-gmpopenh264.version: 1.5.3
media.gmp-manager.buildID: 20151229124331
media.gmp-manager.lastCheck: 1452614398
network.cookie.prefsMigrated: true
network.http.speculative-parallel-limit: 0
network.predictor.cleaned-up: true
network.prefetch-next: false
places.database.lastMaintenance: 1452596743
places.history.expiration.transient_current_max_pages: 104858
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.importedState: true
print.print_bgcolor: false
print.print_bgimages: false
print.print_duplex: 0
print.print_evenpages: true
print.print_in_color: true
print.print_margin_bottom: 0.5
print.print_margin_left: 0.5
print.print_margin_right: 0.5
print.print_margin_top: 0.5
print.print_oddpages: true
print.print_orientation: 0
print.print_page_delay: 50
print.print_paper_data: 0
print.print_paper_height: 11,69
print.print_paper_name: iso_a4
print.print_paper_size_type: 1
print.print_paper_size_unit: 0
print.print_paper_width: 8,27
print.print_resolution: 300
print.print_scaling: 1,00
print.print_shrink_to_fit: true
print.print_to_file: false
print.print_unwriteable_margin_bottom: 56
print.print_unwriteable_margin_left: 25
print.print_unwriteable_margin_right: 25
print.print_unwriteable_margin_top: 25
privacy.donottrackheader.enabled: true
privacy.sanitize.migrateFx3Prefs: true
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1450689879

Wichtige nicht veränderbare Einstellungen
-----------------------------------------

JavaScript
----------

Inkrementelle GC: true

Barrierefreiheit
----------------

Aktiviert: false
Barrierefreiheit verhindern: 0

Bibliotheken-Versionen
----------------------

NSPR
Minimal vorausgesetzte Version: 4.10.10
Verwendete Version: 4.10.10

NSS
Minimal vorausgesetzte Version: 3.21 Basic ECC
Verwendete Version: 3.21 Extended ECC

NSSSMIME
Minimal vorausgesetzte Version: 3.21 Basic ECC
Verwendete Version: 3.21 Extended ECC

NSSSSL
Minimal vorausgesetzte Version: 3.21 Basic ECC
Verwendete Version: 3.21 Extended ECC

NSSUTIL
Minimal vorausgesetzte Version: 3.21
Verwendete Version: 3.21

Experimentelle Funktionen
-------------------------

Isolierte Umgebungen
--------------------

Seccomp-BPF (Filtern von Systemaufrufen): true
Seccomp-Thread-Synchronisierung: true
User-Namespaces: true
Medienplugins in isolierter Umgebung: true
Comment 11 Martin Stransky 2016-01-13 07:00:06 EST
can you please post crash signatures from "about:crashes" page?
Comment 12 Matthias31 2016-01-13 07:24 EST
Created attachment 1114396 [details]
Screenshut of "about:crashes"

Yes but i won´ t help you. there are no Entrys in "about:crashes" while glibc it the reason for crash. I´ ve never send report when firefox chrashen :o
Comment 13 Matthias31 2016-01-13 07:28:54 EST
Okay i let firefox cash only for you:

https://crash-stats.mozilla.com/report/index/bp-2f254953-af4d-4ad3-9f44-daf1c2160113
Comment 14 Martin Stransky 2016-01-13 07:33:30 EST
Thanks, that's actually what I'm looking for. I have a bt for that and I can reproduce it:


(gdb) p* type_instance
$10 = {g_class = 0xe5e5e5e5e5e5e5e5}

(gdb) bt
#0  0x00007ffff321e669 in g_type_check_instance (type_instance=type_instance@entry=0x7fffc0b4b560) at gtype.c:4139
#1  0x00007ffff321367e in g_signal_emit_valist (instance=0x7fffc0b4b560, signal_id=376, detail=0, var_args=var_args@entry=0x7fffffffc1c0) at gsignal.c:3170
#2  0x00007ffff321488f in g_signal_emit (instance=<optimized out>, signal_id=signal_id@entry=376, detail=detail@entry=0)
    at gsignal.c:3441
#3  0x00007ffff3477d1e in g_context_specific_source_dispatch (source=0x7fffb162a790, callback=<optimized out>, user_data=<optimized out>) at gcontextspecificgroup.c:54
#4  0x00007ffff2ef80aa in g_main_context_dispatch (context=0x7fffdb3081c0) at gmain.c:3154
#5  0x00007ffff2ef80aa in g_main_context_dispatch (context=context@entry=0x7fffdb3081c0) at gmain.c:3769
#6  0x00007ffff2ef8440 in g_main_context_iterate (context=context@entry=0x7fffdb3081c0, block=block@entry=0, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3840
#7  0x00007ffff2ef84ec in g_main_context_iteration (context=0x7fffdb3081c0, context@entry=0x0, may_block=0) at gmain.c:3901
Comment 15 Martin Stransky 2016-01-13 07:37:55 EST
It may be a side effect of https://bugzilla.mozilla.org/show_bug.cgi?id=1129873 I guess it needs update for F23.
Comment 16 Matthias31 2016-01-13 07:42:40 EST
and what or can i do to fix the problem or mus i wait for any update ???
Comment 17 Martin Stransky 2016-01-13 08:45:38 EST
There's no fix available we need to investigate what's wrong here.
Comment 18 Martin Stransky 2016-02-03 07:33:53 EST
Hm, I can't reproduce any more on rawhide (gtk3-3.19.7). I'm also unable to reproduce on F22 (gtk3-3.16.7), so looks like F23 issue only (gtk3-3.18.x).

We may provide a workaround just for F23.
Comment 19 Martin Stransky 2016-02-03 07:54:52 EST
The problem here is that gtk_widget_destroy() causes the crash. We may use gtk_widget_hide() as a workaround for F23 and let the parent destroy GtkApp widget.
Comment 20 Martin Stransky 2016-02-03 07:59:41 EST
Ustream bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1244305
Comment 21 Martin Stransky 2016-02-05 07:13:16 EST
*** Bug 1302044 has been marked as a duplicate of this bug. ***
Comment 22 Matthias31 2016-02-05 07:33:00 EST
@ Martin Stransky can you tll me how i can use the workaround, witch file must be edited ?
Comment 23 Martin Stransky 2016-02-05 07:48:56 EST
(In reply to Matthias31 from comment #22)
> @ Martin Stransky can you tll me how i can use the workaround, witch file
> must be edited ?

A new packages are in koji (44.0.1) which should workaround that.
Comment 24 Matthias31 2016-02-05 12:02:30 EST
(In reply to Martin Stransky from comment #23)
> (In reply to Matthias31 from comment #22)
> > @ Martin Stransky can you tll me how i can use the workaround, witch file
> > must be edited ?
> 
> A new packages are in koji (44.0.1) which should workaround that.

I am not able to use koji, i can´ t find that
Comment 25 Matthias31 2016-02-05 12:18:05 EST
and now the next problem:
I´ ve testet the Firefox 44.0.5 from the testing repo the problem was not fixed when you select vlc to listen the webradiostream. 

So i think in firefox 44.0.1 the same problem
Comment 26 srakitnican 2016-02-05 16:55:26 EST
Bug #1302044 fixed with 44.0.1 from koji.

@Matthias31 Note the "-" in 44.0.5 OR 44.0-5, there is a big difference!

Here is the koji build, the one you could not find:
http://koji.fedoraproject.org/koji/buildinfo?buildID=733555
Comment 27 Matthias31 2016-02-06 12:07:36 EST
(In reply to semiRocket from comment #26)
> Bug #1302044 fixed with 44.0.1 from koji.
> 
> @Matthias31 Note the "-" in 44.0.5 OR 44.0-5, there is a big difference!
> 
> Here is the koji build, the one you could not find:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=733555

fact is firefox 44.0.1 fix the Problem of applicationchoser, there was no crashes after the install.

it is possible to push the ff relase in the repo´ s fram f23?
Comment 28 srakitnican 2016-02-06 14:17:06 EST
I am sure it will be available as an update once the developers make sure nothing else major breaks because of changes.
Comment 29 Martin Stransky 2016-02-08 04:51:16 EST
We'll ship 44.0.1 when it's released by Mozilla. The recent builds we have in Koji miss some fixes and are not ready yet.
Comment 30 Fedora Update System 2016-02-09 06:55:58 EST
firefox-44.0.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e41fb0fd0
Comment 31 Fedora Update System 2016-02-09 06:55:58 EST
firefox-44.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b49647f65
Comment 32 Fedora Update System 2016-02-10 13:23:45 EST
firefox-44.0.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e41fb0fd0
Comment 33 Fedora Update System 2016-02-10 13:51:54 EST
firefox-44.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b49647f65
Comment 34 Fedora Update System 2016-02-11 08:21:17 EST
firefox-44.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2016-02-11 15:54:42 EST
firefox-44.0.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8794abe899
Comment 36 Fedora Update System 2016-02-12 08:51:20 EST
firefox-44.0.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8794abe899
Comment 37 Hussama Ismail 2016-02-14 11:50:48 EST
Hello @Matthias31, How are you?

I've tested the package firefox-44.0.2-3.fc22 in a fedora 22, to open a *.pls link using firefox and it has opened correctly another via application (e.g., vlc). Could you test again in this version? are there another step to reproduce this bug?

Thank you.
Comment 38 Fedora Update System 2016-02-16 23:18:29 EST
firefox-44.0.2-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 39 Christian Stadelmann 2016-12-13 14:20:04 EST
Since upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=762994 has been fixed in all supported Fedora versions (F24: glib 2.48.1 and 2.48.2; F25: glib since its first pre-release version), how about dropping this patch?
Comment 40 Martin Stransky 2016-12-13 16:23:52 EST
Yes, that possible, thanks.

Note You need to log in before you can comment on or make changes to this bug.